# Theory: Git Amend

* Enables to change the specifics of the commit on HEAD (the last commit)




# Practical: Git Amend

* Start by creating and committing a file
```bash
$ echo "This file contains errors and needs to be amended" > amend.txt
$ git add amend.txt
$ git commit -m "this file needs to be amended"
```

* Check the commit
```bash
$ git log
```



# Practical: Git Amend - Commit Message

* Verify that your staging area is clear:
```bash
$ git status
```

* use the `commit --amend` with the `-m` flag to edit only the commit message:
```bash
$ git commit --amend -m "This commit title has been amended"
```

* See the commit message in the log has changed:
```bash
$ git log
```



# Practical: Git Amend - Commit Content

* In your editor, change the text in the amend.txt file:
```bash
"This file's content have been corrected"
```

* Check if the changed file is in the staging area:
```bash
$ git status
```

* With the changes stages use the following command to commit the changes into the previous commit:
```bash
$ git commit --amend -no-edit
```

* This will create and commit a new commit with the staged changes added.
* Force push your changes to develop
