# Theory: Git Reset

* Enables to reset back to a previous commit HEAD
* Discards ALL commits made after the selected commit HEAD



# Practical: Git Reset

* Start by committing two files:
```bash
$ echo "This file is the one we want to keep" > header.txt
$ git add header.txt
$ git commit -m "Reset here"
```
```bash
$ echo "This file contains faulty code" > undo.txt
$ git add undo.txt
$ git commit -m "Undo this commit"
```
* Check the commits again and copy the relevant commit header:
```bash
$ git log
```
* Use the `reset --hard` command in order to undo the faulty commit:
```bash
$ git reset --hard <sha1>
```
* Check what happened in the log
* Force push your now solitary commit to develop